Reference
Demande d’annonces sponsorisées
Section intitulée « Demande d’annonces sponsorisées »POST /v1/_deliver
Section intitulée « POST /v1/_deliver »Deliver contextual ads
Schéma de la requête et de la réponse →
Exemple
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "visitor": "string", "alias": "string", "placement": "plp", "slots": [ { "id": "sp", "max": 3 } ], "category": "catId1", "listed_products": { "ids": ["id1","id2","id3","id4","id5","id6","id7"], "page": 1, "sort": "relevance", "total": 135 }, "extra": { "device": "mobile", "os": "ios", "url": "/cat-pages/cat-corresponding-to-cat-id-1/", "store": "141", "vz_preview":"xiLvzAwJ9k6K1IrEKfIE" }}Exemple search
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "placement": "search", "slots": [ { "id": "sp", "max": 6 } ], "search_terms": "your search keywords", "listed_products": { "ids": ["id1","id2","id3","id4","id5","id6","id7"], "page": 2, "sort": "price_asc", "total": 289 },}Exemple PDP
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json{ "visitor": "_aLpmZsOAXqbH219SO0Nnf", "placement": "pdp", "slots": [ { "id": "slider", "max": 10 } ], "product": { "id": "sku910d", "categories": ["c290", "c2902", "c29023"], }, "extra": { "device": "desktop" }}Exemple home
POST https://[retailer-endpoint]/v1/_deliverx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "placement": "home", "slots": [ { "id": "ban-970x250" }, { "id": "slider", "max": 10 } ],}Enregistrement des évènements
Section intitulée « Enregistrement des évènements »POST /v1/_event
Section intitulée « POST /v1/_event »Track events (display, view, click)
Schéma de la requête et de la réponse →
Liste des Événements Suivis
Section intitulée « Liste des Événements Suivis »| event | Indicateur | Description |
|---|---|---|
| display | Affichage | L'annonce a été chargée |
| view | Vue | L'annonce est devenue visible |
| click | Clic | L’utilisateur a cliqué sur l'annonce |
| view_s2 | Vue 2 secondes (vidéo) | Vidéo vue pendant 2 secondes |
| view_s5 | Vue 5 secondes (vidéo) | Vidéo vue pendant 5 secondes |
| view_q1 | Premier quartile (vidéo) | 25 % de la vidéo ont été vus |
| view_m | Milieu (vidéo) | La moitié de la vidéo a été vue |
| view_q3 | Troisième quartile (vidéo) | 75 % de la vidéo ont été vus |
| view_f | Vue complète (vidéo) | 100 % de la vidéo ont été vus |
| unmute | Activation du son (vidéo) | Le son a été (ré)activé par l’utilisateur |
Exemple
POST https://[retailer-endpoint]/v1/_eventx-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "display": [ "tYdH1JZroRdc01NHb5o-b0T9b9kVBHnYTfy1OXoANGhEweHLwIJEN-1W", "qSUaO_EYpgShat8p8-bm_wiskKYotoBDbwMVU-8li2lO8KC-J8nFyvB21u" ]}Enregistrement des ventes
Section intitulée « Enregistrement des ventes »POST /v1/_purchase
Section intitulée « POST /v1/_purchase »Report transaction (purchase)
Schéma de la requête et de la réponse →
Exemple
POST https://[retailer-endpoint]/v1/_purchasex-api-key: [your_api_key_goes_here]x-retailer-id: [your_retailer_id_goes_here]Content-Type: application/json
{ "visitor" : "string", "alias" : "string", "purchase_id" : "string", "purchase_date": "string (iso date)" , "currency" : "string (iso currency code)", "items": [ { "product_id" : "string", "price" : number, "quantity": number, "offer_id" : "string", "seller_id" : "string", "seller" : "string", "brand" : "string" } ]}